- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 21acfc45-2e48-4d11-bc0b-c43a21856f35
    creation_time: 2023-02-17T12:10:38.599385Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-new/count_by_nondet.c
      input_file_hashes:
        c/loop-new/count_by_nondet.c: 7f5be054abc4b7e244c0b76a3872884b11a44daa9670d889ad15d61462c893aa
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-new/count_by_nondet.c
    file_hash: 7f5be054abc4b7e244c0b76a3872884b11a44daa9670d889ad15d61462c893aa
    line: 5
    column: 0
    function: reach_error
  loop_invariant:
    string: k <= LARGE_INT && k <= i
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 93d29cb0-ef6c-4bf6-8d83-323e10998d95
    creation_time: 2023-02-17T12:10:38.599679Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-new/count_by_nondet.c
      input_file_hashes:
        c/loop-new/count_by_nondet.c: 7f5be054abc4b7e244c0b76a3872884b11a44daa9670d889ad15d61462c893aa
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-new/count_by_nondet.c
    file_hash: 7f5be054abc4b7e244c0b76a3872884b11a44daa9670d889ad15d61462c893aa
    line: 11
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: k <= LARGE_INT
    type: assertion
    format: C

